#include<iostream>
#include<vector>

using namespace std;

void moze(vector<int> &a,int l,int r){
    int br=0;
    for(int i=l;i<r||br<1;i++){
        if(a[i]>a[i+1]){
            br++;
        }
    }
    if(br>1)cout<<"NE"<<endl;
    else cout<<"DA"<<endl;
}
void moz(vector<int> &a,int l,int r){
    int br=0;
    for(int i=r;i>l||br<1;i--){
        if(a[i-1]>a[i]){
            br++;
        }
    }
    if(br>1)cout<<"NE"<<endl;
    else cout<<"DA"<<endl;
}
int main(){
std::ios_base::sync_with_stdio(false);
cin.tie(NULL);
unsigned int n,q,l,r;
cin>>n;
vector<int> niz(n+1);
for(int i=1;i<=n;i++){
    cin>>niz[i];
}
cin>>q;
for(int i=0;i<q;i++){
    cin>>l>>r;
    moz(niz,l,r);
}
return 0;
}